
/*************************************************
* STORED stp_decodeDtx
*
* recupera i dati del datamatrix, se non reisce si accontenta di recuperare il PartNumber (se disponibile)
*
* Steamware, S.E.L.
* mod: 2014.03.07
*
*************************************************/
CREATE PROCEDURE [dmtx].[stp_decodeDtx]
(
	@DataMatrix NVARCHAR(50)
)
AS

SET NOCOUNT ON;

-- se non lo trova...
SELECT PartNumber
	,Particolare
FROM dmtx.v_TrascDatamatrix AS Trasc
WHERE (PartNumber = dmtx.f_getPN(@DataMatrix))


RETURN